# Eisverkauf

### Aufgabenstellung:
Sie sollen ein Programm für einen Eisverkauf in C++ realisieren.

### Ausgangssituation:
Sie haben einen 5-€-Schein und wollen für sich und Ihre beiden Freunde Eis kaufen.

Es gibt folgende Sorten:

- Capri: 1,10 €
- Nogger: 1,60 €
- Cornetto: 2,30 €

### Aufgabe:
Erstellen Sie ein Programm, das folgenden Sachverhalt abdeckt:

Zunächst wird die Eisliste angezeigt und Sie werden zur Bestellung eines Eises aufgefordert. Die Bestellungen werden mit „cin“ eingelesen.

Dieser Vorgang wird so oft wiederholt, bis Sie alle Bestellungen aufgegeben haben. Dabei dürfen Ihre beiden Freunde zuerst auswählen. 

Mit dem dann noch übrigen Geld können Sie für sich ein Eis auswählen, oder müssen sogar darauf verzichten.

Schließlich wird der Gesamtbetrag sowie das Wechselgeld berechnet und in Euro und Cent auf dem Bildschirm ausgegeben.


Dokumentieren Sie Ihr Programm durch Kommentare im Quelltext.


### Bewertungsüberblick

Für die Einsendeaufgabe gibt es maximal 10 Punkte:

      60% Syntax und Semantik (Korrektheit)

      20% Dokumentation (Verständlichkeit)

      10% Strukturierung (auch Lesbarkeit des Quelltextes)

      10% Kreativität und eigene Ideen!


Prof. Dr. Herbert Fischer